edu.ucsb.nceas.metacat.admin.upgrade

## Class RemoveInvalidReplicas

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.upgrade.RemoveInvalidReplicas

- All Implemented Interfaces:
    UpgradeUtilityInterface

      public class RemoveInvalidReplicas
      extends java.lang.Object
      implements UpgradeUtilityInterface

  Used for forcibly removing invalid replicas from a target node. These replicas exist from legacy Metacat replication that may have introduced whitespace differences and entity escaping in the XML representations. Removing these replicas is considered 'safe' because the source node[s] house the original content that should be re-replicated (by DataONE).
  Author:
    leinfelder
  See Also:
    `https://redmine.dataone.org/issues/3539`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveInvalidReplicas()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getServerLocation()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setServerLocation(int serverLocation)`
    `boolean` | `upgrade()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### RemoveInvalidReplicas

          public RemoveInvalidReplicas()

  - ### Method Detail

    - #### getServerLocation

          public int getServerLocation()

    - #### setServerLocation

          public void setServerLocation(int serverLocation)

    - #### upgrade

          public boolean upgrade()
                          throws AdminException

      Specified by:
        `upgrade` in interface `UpgradeUtilityInterface`
      Throws:
        `AdminException`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2020 Regents of the University of California. All Rights Reserved.